%define oname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{oname}
Version:        0.75
Release:        %mkrel 1
Epoch:          0
URL:            https://github.com/haypo/python-ipy/
Source0:        http://pypi.python.org/packages/source/I/IPy/IPy-%{version}.tar.gz
License:        BSD
Group:          Development/Python
BuildRequires:  python-devel
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{oname}-%{version}

%build
CFLAGS="%{optflags}" %{_bindir}/python setup.py build

%install
%{__rm} -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog PKG-INFO README
%{python_sitelib}/%{oname}*


%changelog
* Mon Jul 04 2011 ahmad <ahmad> 0:0.75-1.mga2
+ Revision: 118015
- Update to 0.75

* Wed Apr 06 2011 ahmad <ahmad> 0:0.74-1.mga1
+ Revision: 80971
- update to 0.74
- update the URL and the Source url
- imported package python-IPy


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 0:0.72-1mdv2011.0
+ Revision: 600935
- update to new version 0.72

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0:0.71-2mdv2011.0
+ Revision: 598913
- rebuild for py2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.71-1mdv2011.0
+ Revision: 587725
- update to new version 0.71

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.70-1mdv2010.1
+ Revision: 489249
- new version

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.63-1mdv2010.0
+ Revision: 397064
- update to new version 0.63

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0:0.62-2mdv2009.1
+ Revision: 323528
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0:0.62-1mdv2009.0
+ Revision: 280551
- New release

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0:0.55-4mdv2009.0
+ Revision: 259648
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0:0.55-3mdv2009.0
+ Revision: 247487
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:0.55-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + David Walluck <walluck@mandriva.org>
    - 0.55


* Sat Jan 20 2007 David Walluck <walluck@mandriva.org> 0.52-1mdv2007.0
+ Revision: 110982
- 0.52

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0:0.51-2mdv2007.1
+ Revision: 96523
- Rebuild against new python

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.51-1mdv2007.1
+ Revision: 75609
- 0.51

* Mon Oct 16 2006 David Walluck <walluck@mandriva.org> 0:0.42-3mdv2007.1
+ Revision: 65303
- sync with 2mdv
- Import python-IPy

* Sun Sep 17 2006 David Walluck <walluck@mandriva.com> 0:0.42-1mdv2007.0
- release

